:root {
    --e-global-color-primary: #618093;
    --e-global-color-secondary: #405461;
    --e-global-color-text: #222627;
    --e-global-color-accent: #1562FF;
    --e-global-color-86a1471: #F1F7FC;
    --e-global-color-6319b8c: #E4F0F9;
    --e-global-color-da85c46: #D6E6F3;
    --e-global-color-8e4e6e2: #618093;
    --e-global-color-d1fde65: #405461;
    --e-global-color-9bc7c3f: #222627;
    --e-global-color-fa6d7a2: #00C090;
    --e-global-color-7ad32d0: #F04641;
    --e-global-color-9e31d60: #1562FF;
    --e-global-color-21052c5: #FFFFFF;
    --e-global-color-d4ff229: #034BDF;
    --e-global-typography-primary-font-family: "Inter";
    --e-global-typography-primary-font-weight: 600;
    --e-global-typography-secondary-font-family: "Inter";
    --e-global-typography-secondary-font-weight: 400;
    --e-global-typography-text-font-family: "Inter";
    --e-global-typography-text-font-weight: 400;
    --e-global-typography-accent-font-family: "Inter";
    --e-global-typography-accent-font-size: 16px;
    --e-global-typography-accent-font-weight: 500;
    --e-global-typography-6acdaa7-font-family: "Oxanium";
    --e-global-typography-6acdaa7-font-size: 42px;
    --e-global-typography-6acdaa7-font-weight: 400;
    --e-global-typography-6acdaa7-line-height: 42px;
    --e-global-typography-ed5351b-font-family: "Oxanium";
    --e-global-typography-ed5351b-font-size: 32px;
    --e-global-typography-ed5351b-font-weight: 400;
    --e-global-typography-ed5351b-line-height: 34px;
    --e-global-typography-d4eb8fa-font-family: "Oxanium";
    --e-global-typography-d4eb8fa-font-size: 18px;
    --e-global-typography-d4eb8fa-font-weight: 500;
    --e-global-typography-d4eb8fa-text-transform: uppercase;
    --e-global-typography-d4eb8fa-letter-spacing: 1.8px;
    --e-global-typography-51f6ff5-font-family: "Inter";
    --e-global-typography-51f6ff5-font-size: 18px;
    --e-global-typography-51f6ff5-font-weight: 500;
    --e-global-typography-04734fc-font-family: "Inter";
    --e-global-typography-04734fc-font-size: 16px;
    --e-global-typography-04734fc-font-weight: 400;
    --e-global-typography-04734fc-line-height: 23px;
    --e-global-typography-a0f32a5-font-family: "Inter";
    --e-global-typography-a0f32a5-font-size: 16px;
    --e-global-typography-a0f32a5-font-weight: 500;
    --e-global-typography-a0f32a5-line-height: 23px;
    --e-global-typography-e4d972a-font-family: "Inter";
    --e-global-typography-e4d972a-font-size: 14px;
    --e-global-typography-66f96f9-font-family: "Inter";
    --e-global-typography-66f96f9-font-size: 14px;
    --e-global-typography-66f96f9-font-weight: 500;
    --container-max-width: 1380px;
    -webkit-text-size-adjust: 100%;
    -webkit-font-smoothing: antialiased;
}

@media (max-width: 1366px) {
    :root {
        --container-max-width: 1440px;
    }
}

@media (max-width: 1024px) {
    :root {
        --container-max-width: 1024px;
    }
}

@media (max-width: 767px) {
    :root {
        --container-max-width: 767px;
        --e-global-typography-6acdaa7-font-size: 32px;
        --e-global-typography-ed5351b-font-size: 28px;
    }
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    background-color: var(--e-global-color-86a1471);
    height: 100%;
    line-height: 1.15;
}

body {
    background-color: var(--e-global-color-86a1471);
    color: var(--e-global-color-text);
    display: flex;
    flex-direction: column;
    font-family: var(--e-global-typography-04734fc-font-family), Sans-serif;
    font-size: var(--e-global-typography-04734fc-font-size);
    font-weight: var(--e-global-typography-04734fc-font-weight);
    line-height: var(--e-global-typography-04734fc-line-height);
    margin: 0;
    min-height: 100%;
}

img {
    height: auto;
    max-width: 100%;
}

h1 {
    font-family: var(--e-global-typography-6acdaa7-font-family), Sans-serif;
    font-size: var(--e-global-typography-6acdaa7-font-size);
    font-weight: var(--e-global-typography-6acdaa7-font-weight);
    line-height: var(--e-global-typography-6acdaa7-line-height);
}

h2 {
    font-family: var(--e-global-typography-ed5351b-font-family), Sans-serif;
    font-size: var(--e-global-typography-ed5351b-font-size);
    font-weight: var(--e-global-typography-ed5351b-font-weight);
    line-height: var(--e-global-typography-ed5351b-line-height);
}

h3 {
    font-family: var(--e-global-typography-d4eb8fa-font-family), Sans-serif;
    font-size: var(--e-global-typography-d4eb8fa-font-size);
    font-weight: var(--e-global-typography-d4eb8fa-font-weight);
    letter-spacing: var(--e-global-typography-d4eb8fa-letter-spacing);
    text-transform: var(--e-global-typography-d4eb8fa-text-transform);
}

h4 {
    font-family: var(--e-global-typography-51f6ff5-font-family), Sans-serif;
    font-size: var(--e-global-typography-51f6ff5-font-size);
    font-weight: var(--e-global-typography-51f6ff5-font-weight);
}

.card {
    background-color: var(--e-global-color-21052c5);
    border: 1px solid var(--e-global-color-da85c46);
    border-radius: 20px;
    padding: 25px;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}
